From ed0af9cc05a3cbf9ff770d6a790160fa287a1624 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 28 Jun 2018 12:24:34 +0200
Subject: [PATCH] Replace search.cpan.org with metacpan.org

search.cpan.org has been EOL'd, with metacpan.org being the
official replacement to which URLs now redirect.  Update
links to match the new URL.
---
 doc/src/sgml/external-projects.sgml | 2 +-
 doc/src/sgml/install-windows.sgml   | 2 +-
 src/test/perl/PostgresNode.pm       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/external-projects.sgml b/doc/src/sgml/external-projects.sgml
index 347b830736..df5ca54984 100644
--- a/doc/src/sgml/external-projects.sgml
+++ b/doc/src/sgml/external-projects.sgml
@@ -65,7 +65,7 @@
       <entry>DBD::Pg</entry>
       <entry>Perl</entry>
       <entry>Perl DBI driver</entry>
-      <entry><ulink url="http://search.cpan.org/dist/DBD-Pg/"></ulink></entry>
+      <entry><ulink url="https://metacpan.org/release/DBD-Pg/"></ulink></entry>
      </row>
 
      <row>
diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index 99e9c7b78e..fffc6ae155 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -473,7 +473,7 @@ $ENV{CONFIG}="Debug";
       ActiveState Perl installation, nor in the ActiveState Perl Package
       Manager (PPM) library. To install, download the
       <filename>IPC-Run-&lt;version&gt;.tar.gz</filename> source archive from CPAN,
-      at <ulink url="http://search.cpan.org/dist/IPC-Run/"></ulink>, and
+      at <ulink url="https://metacpan.org/release/IPC-Run/"></ulink>, and
       uncompress. Edit the <filename>buildenv.pl</filename> file, and add a PERL5LIB
       variable to point to the <filename>lib</filename> subdirectory from the
       extracted archive. For example:
diff --git a/src/test/perl/PostgresNode.pm b/src/test/perl/PostgresNode.pm
index d12dd60e73..5f848a0db7 100644
--- a/src/test/perl/PostgresNode.pm
+++ b/src/test/perl/PostgresNode.pm
@@ -1222,7 +1222,7 @@ sub psql
 	# and set the flag.  Otherwise, and for any other exception, rethrow.
 	#
 	# For background, see
-	# http://search.cpan.org/~ether/Try-Tiny-0.24/lib/Try/Tiny.pm
+	# https://metacpan.org/pod/release/ETHER/Try-Tiny-0.24/lib/Try/Tiny.pm
 	do
 	{
 		local $@;
-- 
2.14.1.145.gb3622a4ee

